Package org.firebirdsql.util

## Class ReflectionHelper

- java.lang.Object
- - org.firebirdsql.util.ReflectionHelper

    @InternalApi
    public final class ReflectionHelper
    extends java.lang.Object

Class containing static helper methods for reflective access.

Since:
  2.2
Author:
  Mark Rotteveel

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.reflect.Method` `findMethod​(java.lang.Class<?> clazz, java.lang.String name, java.lang.Class<?>[] args)` Helper function to find specified method in a specified class.
`static java.lang.Class<?>[]` `getAllInterfaces​(java.lang.Class<?> clazz)` Get all implemented interfaces by the class.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getAllInterfaces

    public static java.lang.Class<?>[] getAllInterfaces​(java.lang.Class<?> clazz)

Get all implemented interfaces by the class.

Parameters:
  `clazz` - class to inspect.
Returns:
  array of all implemented interfaces.

#### findMethod

    public static java.lang.reflect.Method findMethod​(java.lang.Class<?> clazz,
                                                      java.lang.String name,
                                                      java.lang.Class<?>[] args)

Helper function to find specified method in a specified class.

Parameters:
  `clazz` - class in which we look for a specified method.
  `name` - name of the method.
  `args` - types of method params.
Returns:
  instance of `Method` corresponding to specified name and param types.